FactoryBot.define do
  factory :company, class: Ecom::Core::Company do
    sequence :code do |n|
      "CCode#{n}"
    end
    sequence :name do |n|
      "CName#{n}"
    end
    address { FFaker::Address.street_address }
    telephone { FFaker::PhoneNumber.phone_number }
    email { FFaker::Internet.email }
    settings do
      {
        payroll_periods: [{ order: 1, date: 25, comparison: :exact }],
        period_count: 1
      }
    end
  end
end
